<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Employee Page</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css"
          integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u"
          crossorigin="anonymous">
    <style>
        body {
            padding-top: 70px;
        }

        .container {
            margin-top: 50px;
        }

        .btn-update {
            margin-top: 20px;
        }
    </style>
</head>
<body>

<!-- Navigation bar (header) -->
<nav class="navbar navbar-inverse navbar-fixed-top">
    <div class="container-fluid">
        <div class="navbar-header">
            <button type="button" class="navbar-toggle collapsed" data-toggle="collapse"
                    data-target="#navbar" aria-expanded="false" aria-controls="navbar">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <a class="navbar-brand" href="#" th:href="@{/}">User Page</a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
            <ul class="nav navbar-nav navbar-right">
                <li><a th:href="@{/logout}">Logout</a></li>
            </ul>
        </div>
    </div>
</nav>

<br>
<br>
<br>


<!--
<div class="container">
    <h1>Welcome, [[${user.getFullname()}]]</h1>
    <br>
    <br>
    <h2>Your Personal Info:</h2>
    <p>Email: [[${user.getUsername()}]]</p>
    <p>Full Name: [[${user.getFullname()}]]</p>
</div>
<br>

<div class = "row">
    <div class = "col-lg-3">
        <a th:href = "@{/user-page/edit/{id} (id=${user.getId()})}"
           class = "btn btn-primary"> Update Info</a>
    </div>
</div>

-->

<div class="container">
    <h1>Welcome, [[${user.getFullname()}]]</h1>
    <br>
    <br>
    <div class="panel panel-default">
        <div class="panel-heading">
            <h3 class="panel-title">Your Personal Info:</h3>
        </div>
        <div class="panel-body">
            <p><strong>Email:</strong> [[${user.getUsername()}]]</p>
            <p><strong>Full Name:</strong> [[${user.getFullname()}]]</p>
        </div>
    </div>
    <a th:href="@{/user-page/edit/{id} (id=${user.getId()})}" class="btn btn-primary btn-update">Update Info</a>
</div>


<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"
        integrity="sha384-KyZXEAg3QhqLMpG8r+Knujsl5/CGAGGp4it+VoX+O4taDHM8cRtXx4yJ8Ck6BvoB"
        crossorigin="anonymous"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"
        integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa"
        crossorigin="anonymous"></script>
</body>
</html>
